package com.mortals.xhx.module.dept.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.dept.model.vo.DeptVo;
/**
* 部门实体对象
*
* @author zxfei
* @date 2022-01-12
*/

public class DeptEntity extends DeptVo {
    private static final long serialVersionUID = 1L;

    /**
    * 从政务系统来的部门id
    */
    private String tid;
    /**
    * 从政务系统来的部门name
    */
    private String tname;
    /**
    * 部门名称
    */
    private String name;
    /**
    * 从政务系统来的别名
    */
    private String simpleName;
    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 部门简称
    */
    private String deptAbb;
    /**
    * 部门电话
    */
    private String deptTelphone;
    /**
    * 部门编号
    */
    private String deptNumber;
    /**
    * 填单机展示 (0.否，1.是) 
    */
    private Integer isAutotable;
    /**
    * 预约展示 (0.否，1.是) 
    */
    private Integer isOrder;
    /**
    * 背靠背展示 (0.否，1.是) 
    */
    private Integer isBkb;
    /**
    * 办事指南展示 (0.否，1.是) 
    */
    private Integer isWorkGuide;
    /**
    * 是否使用 (0.否，1.是) 
    */
    private Integer usValid;
    /**
    * 部门电话是否展示 (0.否，1.是) 
    */
    private Integer isSecphone;
    /**
    * 是否展示英文 (0.否，1.是) 
    */
    private Integer isEnglish;
    /**
    * 排序
    */
    private Integer sort;



    public DeptEntity(){}
    /**
    * 获取 从政务系统来的部门id
    * @return String
    */
    public String getTid(){
        return tid;
    }
    /**
    * 设置 从政务系统来的部门id
    * @param tid
    */
    public void setTid(String tid){
        this.tid = tid;
    }
    /**
    * 获取 从政务系统来的部门name
    * @return String
    */
    public String getTname(){
        return tname;
    }
    /**
    * 设置 从政务系统来的部门name
    * @param tname
    */
    public void setTname(String tname){
        this.tname = tname;
    }
    /**
    * 获取 部门名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 部门名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 从政务系统来的别名
    * @return String
    */
    public String getSimpleName(){
        return simpleName;
    }
    /**
    * 设置 从政务系统来的别名
    * @param simpleName
    */
    public void setSimpleName(String simpleName){
        this.simpleName = simpleName;
    }
    /**
    * 获取 站点ID
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点ID
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 部门简称
    * @return String
    */
    public String getDeptAbb(){
        return deptAbb;
    }
    /**
    * 设置 部门简称
    * @param deptAbb
    */
    public void setDeptAbb(String deptAbb){
        this.deptAbb = deptAbb;
    }
    /**
    * 获取 部门电话
    * @return String
    */
    public String getDeptTelphone(){
        return deptTelphone;
    }
    /**
    * 设置 部门电话
    * @param deptTelphone
    */
    public void setDeptTelphone(String deptTelphone){
        this.deptTelphone = deptTelphone;
    }
    /**
    * 获取 部门编号
    * @return String
    */
    public String getDeptNumber(){
        return deptNumber;
    }
    /**
    * 设置 部门编号
    * @param deptNumber
    */
    public void setDeptNumber(String deptNumber){
        this.deptNumber = deptNumber;
    }
    /**
    * 获取 填单机展示 (0.否，1.是) 
    * @return Integer
    */
    public Integer getIsAutotable(){
        return isAutotable;
    }
    /**
    * 设置 填单机展示 (0.否，1.是) 
    * @param isAutotable
    */
    public void setIsAutotable(Integer isAutotable){
        this.isAutotable = isAutotable;
    }
    /**
    * 获取 预约展示 (0.否，1.是) 
    * @return Integer
    */
    public Integer getIsOrder(){
        return isOrder;
    }
    /**
    * 设置 预约展示 (0.否，1.是) 
    * @param isOrder
    */
    public void setIsOrder(Integer isOrder){
        this.isOrder = isOrder;
    }
    /**
    * 获取 背靠背展示 (0.否，1.是) 
    * @return Integer
    */
    public Integer getIsBkb(){
        return isBkb;
    }
    /**
    * 设置 背靠背展示 (0.否，1.是) 
    * @param isBkb
    */
    public void setIsBkb(Integer isBkb){
        this.isBkb = isBkb;
    }
    /**
    * 获取 办事指南展示 (0.否，1.是) 
    * @return Integer
    */
    public Integer getIsWorkGuide(){
        return isWorkGuide;
    }
    /**
    * 设置 办事指南展示 (0.否，1.是) 
    * @param isWorkGuide
    */
    public void setIsWorkGuide(Integer isWorkGuide){
        this.isWorkGuide = isWorkGuide;
    }
    /**
    * 获取 是否使用 (0.否，1.是) 
    * @return Integer
    */
    public Integer getUsValid(){
        return usValid;
    }
    /**
    * 设置 是否使用 (0.否，1.是) 
    * @param usValid
    */
    public void setUsValid(Integer usValid){
        this.usValid = usValid;
    }
    /**
    * 获取 部门电话是否展示 (0.否，1.是) 
    * @return Integer
    */
    public Integer getIsSecphone(){
        return isSecphone;
    }
    /**
    * 设置 部门电话是否展示 (0.否，1.是) 
    * @param isSecphone
    */
    public void setIsSecphone(Integer isSecphone){
        this.isSecphone = isSecphone;
    }
    /**
    * 获取 是否展示英文 (0.否，1.是) 
    * @return Integer
    */
    public Integer getIsEnglish(){
        return isEnglish;
    }
    /**
    * 设置 是否展示英文 (0.否，1.是) 
    * @param isEnglish
    */
    public void setIsEnglish(Integer isEnglish){
        this.isEnglish = isEnglish;
    }
    /**
    * 获取 排序
    * @return Integer
    */
    public Integer getSort(){
        return sort;
    }
    /**
    * 设置 排序
    * @param sort
    */
    public void setSort(Integer sort){
        this.sort = sort;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeptEntity) {
            DeptEntity tmp = (DeptEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",tid:").append(getTid());
        sb.append(",tname:").append(getTname());
        sb.append(",name:").append(getName());
        sb.append(",simpleName:").append(getSimpleName());
        sb.append(",siteId:").append(getSiteId());
        sb.append(",deptAbb:").append(getDeptAbb());
        sb.append(",deptTelphone:").append(getDeptTelphone());
        sb.append(",deptNumber:").append(getDeptNumber());
        sb.append(",isAutotable:").append(getIsAutotable());
        sb.append(",isOrder:").append(getIsOrder());
        sb.append(",isBkb:").append(getIsBkb());
        sb.append(",isWorkGuide:").append(getIsWorkGuide());
        sb.append(",usValid:").append(getUsValid());
        sb.append(",isSecphone:").append(getIsSecphone());
        sb.append(",isEnglish:").append(getIsEnglish());
        sb.append(",sort:").append(getSort());
        return sb.toString();
    }

    public void initAttrValue(){

            this.tid = null;

            this.tname = null;

            this.name = null;

            this.simpleName = null;

            this.siteId = null;

            this.deptAbb = null;

            this.deptTelphone = null;

            this.deptNumber = null;

            this.isAutotable = 1;

            this.isOrder = 1;

            this.isBkb = 1;

            this.isWorkGuide = 1;

            this.usValid = 1;

            this.isSecphone = 1;

            this.isEnglish = 1;

            this.sort = 0;
    }
}